---
title: "Create new property definition"
slug: "create-new-property-definition"
updated: 2025-11-07T20:01:40Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new property definition

Post/api/v1/realestateobjects/publish/propertydefinitions

Create new property definition in the system

		
			

**Description**

The Bloxs user has the possibility to create custom properties which are shown in the published data in the third party system (e.g. rental website). An example would be if the user wants to add to the published data the property 'sunny hours per day'. This is standard not available in Bloxs. To include this in the published data, a custom published property needs to be inserted. This endpoint can be used to add a new custom property. The identifier for a property is the 'apiLabel' and is to be created by the user.

**Use Case**

The Bloxs user wants to add an extra custom property to be displayed in the rental website. This endpoint can be used to add this custom property.

**Request fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| apiLabel | The unique identifier of the custom property. This value has to be created by the user. |
| labelName | The name which the user wants to be assigned to the custom property. |
| controlType | The control type of the custom property. For example, it can only contain numbers or it is a date field. |
| order | Order in which the fields are displayed within the screen in Bloxs. This can also help arrange the fields in the correct order on your website. |
| value | When the ControlType is Dropdown, then these are the configured options for the dropdown. Value contains the name of the option in the dropdown. |
| order | When the ControlType is Dropdown, then these are the configured options for the dropdown. Order contains the order in which the option is shown in the dropdown. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='3425114a-a820-4780-9cc9-c5352a3270c0'>application/json</option>
</select>Expand Allobject  apiLabelstring    Required

The API Key of the property, this is the key used to identify the Object property

Min length1
labelNamestring    Required

The name of the property

Min length1
controlTypeinteger  (int32)    

The type of the property

Valid values[
  0,
  1,
  2,
  3,
  4,
  5,
  6,
  7
]
orderinteger  (int32)    
options Array of object (Publish_PropertyDefinitionOption)  | null  

When the ControlType is Dropdown, then these are the configured options for the Dropdown

object  valuestring    RequiredMin length1
orderinteger  (int32)    

Responses200

The property definition was added

<select class='api-response-data' aria-label='Media type'><option value='d159926f-7c3b-442b-8141-da0b9bd9f02c'>application/json</option>
</select>Expand Allobject  apiLabelstring    

The API Key of the property, this is the key used to identify the Object property

Min length1
labelNamestring    

The name of the property

Min length1
controlTypeinteger  (int32)    

The type of the property

Valid values[
  0,
  1,
  2,
  3,
  4,
  5,
  6,
  7
]
orderinteger  (int32)    
options Array of object (Publish_PropertyDefinitionOption)  | null  

When the ControlType is Dropdown, then these are the configured options for the Dropdown

object  valuestring    Min length1
orderinteger  (int32)    

400

The property definition data has validation issues

<select class='api-response-data' aria-label='Media type'><option value='31bf1176-7044-4fa0-80e4-68bc2cb7baba'>application/json</option>
</select>Expand Allobject  typestring   | null  
titlestring   | null  
traceIdstring   | null  
statusinteger  (int32)    
errorsobject | null  property* Array of string  | null  additionalPropertiesstring
